<template>
    <div>
<div class="container-scroller">
    <app-header></app-header>
    <div class="container-fluid page-body-wrapper">
        <app-sidebar></app-sidebar>
        <div class="main-panel">
            <div class="content-wrapper">
                        <div class='row'>
            <div class='col-md-12'>
              <div class='container' >
                <h2>CMS Management</h2>
                <button @click='userAdd'>ADD</button>
                <input type="text"/>
                <button>Filter</button>
                <hr />
                <table class='table'>
                  <thead>
                    <tr>
                      <th><b><u>Title</u></b></th>
                      <th><b><u>Created At</u></b></th>
                      <th><b><u>Updated At</u></b></th>
                      <th><b><u>Edit</u></b></th>
                      <th><b><u>Delete</u></b></th>
                    </tr>
                  </thead>
                  <tbody >
                        <tr v-for="(name,key) in cmslist" :key="key">
                            <td>{{name.title}}</td>
                            <td>{{name.createdAt.slice(0,10)}}</td>
                            <td>{{name.updatedAt.slice(0,10)}}</td>
                            <td><button @click='editcms(name)'>Edit </button></td>
                            <td><button @click='deleteCms(name._id)'>Delete</button></td>
                            </tr>
                  </tbody>
                </table>
              </div>
            </div>
          </div>
        </div>
      </div>
            </div>
            <footer class="footer">
                <div class="container-fluid clearfix">
                    <span class="text-muted d-block text-center text-sm-left d-sm-inline-block">Copyright © 2018 <a href="http://www.bootstrapdash.com/" target="_blank">IndiaNIC</a>. All rights reserved.</span>
                </div>
            </footer>
        </div>
    </div>
</template>
<script>
import Sidebar from '../../sidebar';
import Navbar from '../../navbar';
import axios from 'axios';
const API_URL = 'https://node.indianic.com:4069/api';

export default {
  components: {
    'app-header': Navbar,
    'app-sidebar': Sidebar,
  },
  data() {
    return {
      page: 1,
      pagesize: 5,
      cmslist: [],
    };
  },

  created() {
     this.dispalyList()
  },
  methods:{
                 userAdd:function(){
        this.$router.push('/cmsAdd')
      },
      editcms:function (passing) {
               this.$store.dispatch("editUser2",passing);
        this.$router.push('/Editcms')

      },
      

    //---------------------dispaly list---------------
dispalyList:function(){
 let {page,pagesize}=this
    var sort = { rate: 1 };
    var data1 = { page: page, pagesize: pagesize, sort: sort };
    var token = localStorage.getItem('token');
    var self=this;
    axios({
      url: API_URL + '/cmsList',
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
        Authorization: token,
      },
      data: JSON.stringify(data1),
    }).then(response => {
        self.cmslist = response.data.data
        // this.user.push(response.data.data)
        console.log("cmslist response",response)
    })
        .catch(function(error){
        console.log("user---",error)
        })
},
//----------------------------delete item--------------------
deleteCms:function(uid){
    console.log("cms deleting id", uid);
    var body = { cid: [uid] }
    let token = localStorage.getItem('token')
    axios({
      method: 'POST',
      url: API_URL + '/cmsDelete',
      headers: {
        'Content-Type': 'application/json',
        'Authorization': token
      },
      data: JSON.stringify(body)
    })
      .then(res => {
        console.log("responce------>>>>>>", res);
        this.dispalyList()
      })
  







},
  },
};
</script>
<style scoped>
</style>